Package org.postgresql.jdbc

# Class FieldMetadata.Key

java.lang.Object
org.postgresql.jdbc.FieldMetadata.Key

Enclosing class:
  FieldMetadata

public static class FieldMetadata.Key extends Object

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(@Nullable Object o)`
`int`
`hashCode()`
`String`
`toString()`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Method Details

### equals

public boolean equals(@Nullable Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`

### toString

public String toString()

Overrides:
  `toString` in class `Object`